diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-routing-table-entry.h ns-3.44/src/internet/model/ipv4-routing-table-entry.h
--- ns-3.43/src/internet/model/ipv4-routing-table-entry.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-routing-table-entry.h	2025-03-09 16:55:49.399371100 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
  * A record of an IPv4 routing table entry for Ipv4GlobalRouting and
  * Ipv4StaticRouting.  This is not a reference counted object.
@@ -27,131 +27,131 @@
 {
   public:
     /**
-     * \brief This constructor does nothing
+     * @brief This constructor does nothing
      */
     Ipv4RoutingTableEntry();
     /**
-     * \brief Copy Constructor
-     * \param route The route to copy
+     * @brief Copy Constructor
+     * @param route The route to copy
      */
     Ipv4RoutingTableEntry(const Ipv4RoutingTableEntry& route);
     /**
-     * \brief Copy Constructor
-     * \param route The route to copy
+     * @brief Copy Constructor
+     * @param route The route to copy
      */
     Ipv4RoutingTableEntry(const Ipv4RoutingTableEntry* route);
     /**
-     * \return True if this route is a host route (mask of all ones); false otherwise
+     * @return True if this route is a host route (mask of all ones); false otherwise
      */
     bool IsHost() const;
     /**
-     * \return True if this route is not a host route (mask is not all ones); false otherwise
+     * @return True if this route is not a host route (mask is not all ones); false otherwise
      *
      * This method is implemented as !IsHost ().
      */
     bool IsNetwork() const;
     /**
-     * \return True if this route is a default route; false otherwise
+     * @return True if this route is a default route; false otherwise
      */
     bool IsDefault() const;
     /**
-     * \return True if this route is a gateway route; false otherwise
+     * @return True if this route is a gateway route; false otherwise
      */
     bool IsGateway() const;
     /**
-     * \return address of the gateway stored in this entry
+     * @return address of the gateway stored in this entry
      */
     Ipv4Address GetGateway() const;
     /**
-     * \return The IPv4 address of the destination of this route
+     * @return The IPv4 address of the destination of this route
      */
     Ipv4Address GetDest() const;
     /**
-     * \return The IPv4 network number of the destination of this route
+     * @return The IPv4 network number of the destination of this route
      */
     Ipv4Address GetDestNetwork() const;
     /**
-     * \return The IPv4 network mask of the destination of this route
+     * @return The IPv4 network mask of the destination of this route
      */
     Ipv4Mask GetDestNetworkMask() const;
     /**
-     * \return The Ipv4 interface number used for sending outgoing packets
+     * @return The Ipv4 interface number used for sending outgoing packets
      */
     uint32_t GetInterface() const;
     /**
-     * \return An Ipv4RoutingTableEntry object corresponding to the input parameters.
-     * \param dest Ipv4Address of the destination
-     * \param nextHop Ipv4Address of the next hop
-     * \param interface Outgoing interface
+     * @return An Ipv4RoutingTableEntry object corresponding to the input parameters.
+     * @param dest Ipv4Address of the destination
+     * @param nextHop Ipv4Address of the next hop
+     * @param interface Outgoing interface
      */
     static Ipv4RoutingTableEntry CreateHostRouteTo(Ipv4Address dest,
                                                    Ipv4Address nextHop,
                                                    uint32_t interface);
     /**
-     * \return An Ipv4RoutingTableEntry object corresponding to the input parameters.
-     * \param dest Ipv4Address of the destination
-     * \param interface Outgoing interface
+     * @return An Ipv4RoutingTableEntry object corresponding to the input parameters.
+     * @param dest Ipv4Address of the destination
+     * @param interface Outgoing interface
      */
     static Ipv4RoutingTableEntry CreateHostRouteTo(Ipv4Address dest, uint32_t interface);
     /**
-     * \return An Ipv4RoutingTableEntry object corresponding to the input parameters.
-     * \param network Ipv4Address of the destination network
-     * \param networkMask Ipv4Mask of the destination network mask
-     * \param nextHop Ipv4Address of the next hop
-     * \param interface Outgoing interface
+     * @return An Ipv4RoutingTableEntry object corresponding to the input parameters.
+     * @param network Ipv4Address of the destination network
+     * @param networkMask Ipv4Mask of the destination network mask
+     * @param nextHop Ipv4Address of the next hop
+     * @param interface Outgoing interface
      */
     static Ipv4RoutingTableEntry CreateNetworkRouteTo(Ipv4Address network,
                                                       Ipv4Mask networkMask,
                                                       Ipv4Address nextHop,
                                                       uint32_t interface);
     /**
-     * \return An Ipv4RoutingTableEntry object corresponding to the input parameters.
-     * \param network Ipv4Address of the destination network
-     * \param networkMask Ipv4Mask of the destination network mask
-     * \param interface Outgoing interface
+     * @return An Ipv4RoutingTableEntry object corresponding to the input parameters.
+     * @param network Ipv4Address of the destination network
+     * @param networkMask Ipv4Mask of the destination network mask
+     * @param interface Outgoing interface
      */
     static Ipv4RoutingTableEntry CreateNetworkRouteTo(Ipv4Address network,
                                                       Ipv4Mask networkMask,
                                                       uint32_t interface);
     /**
-     * \return An Ipv4RoutingTableEntry object corresponding to the input
+     * @return An Ipv4RoutingTableEntry object corresponding to the input
      * parameters.  This route is distinguished; it will match any
      * destination for which a more specific route does not exist.
-     * \param nextHop Ipv4Address of the next hop
-     * \param interface Outgoing interface
+     * @param nextHop Ipv4Address of the next hop
+     * @param interface Outgoing interface
      */
     static Ipv4RoutingTableEntry CreateDefaultRoute(Ipv4Address nextHop, uint32_t interface);
 
   private:
     /**
-     * \brief Constructor.
-     * \param network network address
-     * \param mask network mask
-     * \param gateway the gateway
-     * \param interface the interface index
+     * @brief Constructor.
+     * @param network network address
+     * @param mask network mask
+     * @param gateway the gateway
+     * @param interface the interface index
      */
     Ipv4RoutingTableEntry(Ipv4Address network,
                           Ipv4Mask mask,
                           Ipv4Address gateway,
                           uint32_t interface);
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param mask network mask
-     * \param interface the interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param mask network mask
+     * @param interface the interface index
      */
     Ipv4RoutingTableEntry(Ipv4Address dest, Ipv4Mask mask, uint32_t interface);
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param gateway the gateway
-     * \param interface the interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param gateway the gateway
+     * @param interface the interface index
      */
     Ipv4RoutingTableEntry(Ipv4Address dest, Ipv4Address gateway, uint32_t interface);
     /**
-     * \brief Constructor.
-     * \param dest destination address
-     * \param interface the interface index
+     * @brief Constructor.
+     * @param dest destination address
+     * @param interface the interface index
      */
     Ipv4RoutingTableEntry(Ipv4Address dest, uint32_t interface);
 
@@ -162,77 +162,77 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv4 routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv4 routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv4RoutingTableEntry& route);
 
 /**
- * \brief Equality operator.
+ * @brief Equality operator.
  *
- * \param a lhs
- * \param b rhs
- * \returns true if operands are equal, false otherwise
+ * @param a lhs
+ * @param b rhs
+ * @returns true if operands are equal, false otherwise
  */
 bool operator==(const Ipv4RoutingTableEntry a, const Ipv4RoutingTableEntry b);
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
- * \brief A record of an IPv4 multicast route for Ipv4GlobalRouting and Ipv4StaticRouting
+ * @brief A record of an IPv4 multicast route for Ipv4GlobalRouting and Ipv4StaticRouting
  */
 class Ipv4MulticastRoutingTableEntry
 {
   public:
     /**
-     * \brief This constructor does nothing
+     * @brief This constructor does nothing
      */
     Ipv4MulticastRoutingTableEntry();
 
     /**
-     * \brief Copy Constructor
-     * \param route The route to copy
+     * @brief Copy Constructor
+     * @param route The route to copy
      */
     Ipv4MulticastRoutingTableEntry(const Ipv4MulticastRoutingTableEntry& route);
     /**
-     * \brief Copy Constructor
-     * \param route The route to copy
+     * @brief Copy Constructor
+     * @param route The route to copy
      */
     Ipv4MulticastRoutingTableEntry(const Ipv4MulticastRoutingTableEntry* route);
     /**
-     * \return The IPv4 address of the source of this route
+     * @return The IPv4 address of the source of this route
      */
     Ipv4Address GetOrigin() const;
     /**
-     * \return The IPv4 address of the multicast group of this route
+     * @return The IPv4 address of the multicast group of this route
      */
     Ipv4Address GetGroup() const;
     /**
-     * \return The IPv4 address of the input interface of this route
+     * @return The IPv4 address of the input interface of this route
      */
     uint32_t GetInputInterface() const;
     /**
-     * \return The number of output interfaces of this route
+     * @return The number of output interfaces of this route
      */
     uint32_t GetNOutputInterfaces() const;
     /**
-     * \param n interface index
-     * \return A specified output interface.
+     * @param n interface index
+     * @return A specified output interface.
      */
     uint32_t GetOutputInterface(uint32_t n) const;
     /**
-     * \return A vector of all of the output interfaces of this route.
+     * @return A vector of all of the output interfaces of this route.
      */
     std::vector<uint32_t> GetOutputInterfaces() const;
     /**
-     * \return Ipv4MulticastRoutingTableEntry corresponding to the input parameters.
-     * \param origin Source address for the multicast route
-     * \param group Group destination address for the multicast route
-     * \param inputInterface Input interface that multicast datagram must be received on
-     * \param outputInterfaces vector of output interfaces to copy and forward the datagram to
+     * @return Ipv4MulticastRoutingTableEntry corresponding to the input parameters.
+     * @param origin Source address for the multicast route
+     * @param group Group destination address for the multicast route
+     * @param inputInterface Input interface that multicast datagram must be received on
+     * @param outputInterfaces vector of output interfaces to copy and forward the datagram to
      */
     static Ipv4MulticastRoutingTableEntry CreateMulticastRoute(
         Ipv4Address origin,
@@ -242,11 +242,11 @@
 
   private:
     /**
-     * \brief Constructor.
-     * \param origin source address
-     * \param group destination address
-     * \param inputInterface input interface
-     * \param outputInterfaces output interfaces
+     * @brief Constructor.
+     * @param origin source address
+     * @param group destination address
+     * @param inputInterface input interface
+     * @param outputInterfaces output interfaces
      */
     Ipv4MulticastRoutingTableEntry(Ipv4Address origin,
                                    Ipv4Address group,
@@ -260,20 +260,20 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv4 multicast routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv4 multicast routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv4MulticastRoutingTableEntry& route);
 
 /**
- * \brief Equality operator.
+ * @brief Equality operator.
  *
- * \param a lhs
- * \param b rhs
- * \returns true if operands are equal, false otherwise
+ * @param a lhs
+ * @param b rhs
+ * @returns true if operands are equal, false otherwise
  */
 bool operator==(const Ipv4MulticastRoutingTableEntry a, const Ipv4MulticastRoutingTableEntry b);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-static-routing.h ns-3.44/src/internet/model/ipv4-static-routing.h
--- ns-3.43/src/internet/model/ipv4-static-routing.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-static-routing.h	2025-03-09 16:55:49.399371100 -0700
@@ -35,9 +35,9 @@
 class Node;
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
- * \brief Static routing protocol for IP version 4 stacks.
+ * @brief Static routing protocol for IP version 4 stacks.
  *
  * This class provides a basic set of methods for inserting static
  * unicast and multicast routes into the Ipv4 routing system.
@@ -49,16 +49,16 @@
  * Ipv4RoutingProtocol that defines the interface methods that a routing
  * protocol must support.
  *
- * \see Ipv4RoutingProtocol
- * \see Ipv4ListRouting
- * \see Ipv4ListRouting::AddRoutingProtocol
+ * @see Ipv4RoutingProtocol
+ * @see Ipv4ListRouting
+ * @see Ipv4ListRouting::AddRoutingProtocol
  */
 class Ipv4StaticRouting : public Ipv4RoutingProtocol
 {
   public:
     /**
-     * \brief The interface Id associated with this class.
-     * \return type identifier
+     * @brief The interface Id associated with this class.
+     * @return type identifier
      */
     static TypeId GetTypeId();
 
@@ -87,16 +87,16 @@
                            Time::Unit unit = Time::S) const override;
 
     /**
-     * \brief Add a network route to the static routing table.
+     * @brief Add a network route to the static routing table.
      *
-     * \param network The Ipv4Address network for this route.
-     * \param networkMask The Ipv4Mask to extract the network.
-     * \param nextHop The next hop in the route to the destination network.
-     * \param interface The network interface index used to send packets to the
+     * @param network The Ipv4Address network for this route.
+     * @param networkMask The Ipv4Mask to extract the network.
+     * @param nextHop The next hop in the route to the destination network.
+     * @param interface The network interface index used to send packets to the
      * destination.
-     * \param metric Metric of route in case of multiple routes to same destination
+     * @param metric Metric of route in case of multiple routes to same destination
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddNetworkRouteTo(Ipv4Address network,
                            Ipv4Mask networkMask,
@@ -105,15 +105,15 @@
                            uint32_t metric = 0);
 
     /**
-     * \brief Add a network route to the static routing table.
+     * @brief Add a network route to the static routing table.
      *
-     * \param network The Ipv4Address network for this route.
-     * \param networkMask The Ipv4Mask to extract the network.
-     * \param interface The network interface index used to send packets to the
+     * @param network The Ipv4Address network for this route.
+     * @param networkMask The Ipv4Mask to extract the network.
+     * @param interface The network interface index used to send packets to the
      * destination.
-     * \param metric Metric of route in case of multiple routes to same destination
+     * @param metric Metric of route in case of multiple routes to same destination
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddNetworkRouteTo(Ipv4Address network,
                            Ipv4Mask networkMask,
@@ -121,33 +121,33 @@
                            uint32_t metric = 0);
 
     /**
-     * \brief Add a host route to the static routing table.
+     * @brief Add a host route to the static routing table.
      *
-     * \param dest The Ipv4Address destination for this route.
-     * \param nextHop The Ipv4Address of the next hop in the route.
-     * \param interface The network interface index used to send packets to the
+     * @param dest The Ipv4Address destination for this route.
+     * @param nextHop The Ipv4Address of the next hop in the route.
+     * @param interface The network interface index used to send packets to the
      * destination.
-     * \param metric Metric of route in case of multiple routes to same destination
+     * @param metric Metric of route in case of multiple routes to same destination
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddHostRouteTo(Ipv4Address dest,
                         Ipv4Address nextHop,
                         uint32_t interface,
                         uint32_t metric = 0);
     /**
-     * \brief Add a host route to the static routing table.
+     * @brief Add a host route to the static routing table.
      *
-     * \param dest The Ipv4Address destination for this route.
-     * \param interface The network interface index used to send packets to the
+     * @param dest The Ipv4Address destination for this route.
+     * @param interface The network interface index used to send packets to the
      * destination.
-     * \param metric Metric of route in case of multiple routes to same destination
+     * @param metric Metric of route in case of multiple routes to same destination
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddHostRouteTo(Ipv4Address dest, uint32_t interface, uint32_t metric = 0);
     /**
-     * \brief Add a default route to the static routing table.
+     * @brief Add a default route to the static routing table.
      *
      * This method tells the routing system what to do in the case where a specific
      * route to a destination is not found.  The system forwards packets to the
@@ -157,77 +157,77 @@
      * LookupStatic irrespective of destination address if no specific route is
      * found.
      *
-     * \param nextHop The Ipv4Address to send packets to in the hope that they
+     * @param nextHop The Ipv4Address to send packets to in the hope that they
      * will be forwarded correctly.
-     * \param interface The network interface index used to send packets.
-     * \param metric Metric of route in case of multiple routes to same destination
+     * @param interface The network interface index used to send packets.
+     * @param metric Metric of route in case of multiple routes to same destination
      *
-     * \see Ipv4Address
-     * \see Ipv4StaticRouting::Lookup
+     * @see Ipv4Address
+     * @see Ipv4StaticRouting::Lookup
      */
     void SetDefaultRoute(Ipv4Address nextHop, uint32_t interface, uint32_t metric = 0);
 
     /**
-     * \brief Get the number of individual unicast routes that have been added
+     * @brief Get the number of individual unicast routes that have been added
      * to the routing table.
      *
-     * \warning The default route counts as one of the routes.
-     * \return number of entries
+     * @warning The default route counts as one of the routes.
+     * @return number of entries
      */
     uint32_t GetNRoutes() const;
 
     /**
-     * \brief Get the default route with lowest metric from the static routing table.
+     * @brief Get the default route with lowest metric from the static routing table.
      *
-     * \return If the default route is set, a pointer to that Ipv4RoutingTableEntry is
+     * @return If the default route is set, a pointer to that Ipv4RoutingTableEntry is
      * returned, otherwise an empty routing table entry is returned.
      *  If multiple default routes exist, the one with lowest metric is returned.
      *
-     * \see Ipv4RoutingTableEntry
+     * @see Ipv4RoutingTableEntry
      */
     Ipv4RoutingTableEntry GetDefaultRoute();
 
     /**
-     * \brief Get a route from the static unicast routing table.
+     * @brief Get a route from the static unicast routing table.
      *
      * Externally, the unicast static routing table appears simply as a table with
      * n entries.
      *
-     * \param i The index (into the routing table) of the route to retrieve.
-     * \return If route is set, a pointer to that Ipv4RoutingTableEntry is returned, otherwise
+     * @param i The index (into the routing table) of the route to retrieve.
+     * @return If route is set, a pointer to that Ipv4RoutingTableEntry is returned, otherwise
      * a zero pointer is returned.
      *
-     * \see Ipv4RoutingTableEntry
-     * \see Ipv4StaticRouting::RemoveRoute
+     * @see Ipv4RoutingTableEntry
+     * @see Ipv4StaticRouting::RemoveRoute
      */
     Ipv4RoutingTableEntry GetRoute(uint32_t i) const;
 
     /**
-     * \brief Get a metric for route from the static unicast routing table.
+     * @brief Get a metric for route from the static unicast routing table.
      *
-     * \param index The index (into the routing table) of the route to retrieve.
-     * \return If route is set, the metric is returned. If not, an infinity metric (0xffffffff) is
+     * @param index The index (into the routing table) of the route to retrieve.
+     * @return If route is set, the metric is returned. If not, an infinity metric (0xffffffff) is
      * returned
      *
      */
     uint32_t GetMetric(uint32_t index) const;
 
     /**
-     * \brief Remove a route from the static unicast routing table.
+     * @brief Remove a route from the static unicast routing table.
      *
      * Externally, the unicast static routing table appears simply as a table with
      * n entries.
      *
-     * \param i The index (into the routing table) of the route to remove.
+     * @param i The index (into the routing table) of the route to remove.
      *
-     * \see Ipv4RoutingTableEntry
-     * \see Ipv4StaticRouting::GetRoute
-     * \see Ipv4StaticRouting::AddRoute
+     * @see Ipv4RoutingTableEntry
+     * @see Ipv4StaticRouting::GetRoute
+     * @see Ipv4StaticRouting::AddRoute
      */
     void RemoveRoute(uint32_t i);
 
     /**
-     * \brief Add a multicast route to the static routing table.
+     * @brief Add a multicast route to the static routing table.
      *
      * A multicast route must specify an origin IP address, a multicast group and
      * an input network interface index as conditions and provide a vector of
@@ -240,15 +240,15 @@
      * For originator nodes, the route is equivalent to a unicast route, and
      * must be added through `AddHostRouteTo`.
      *
-     * \param origin The Ipv4Address of the origin of packets for this route.  May
+     * @param origin The Ipv4Address of the origin of packets for this route.  May
      * be Ipv4Address:GetAny for open groups.
-     * \param group The Ipv4Address of the multicast group or this route.
-     * \param inputInterface The input network interface index over which to
+     * @param group The Ipv4Address of the multicast group or this route.
+     * @param inputInterface The input network interface index over which to
      * expect packets destined for this route.
-     * \param outputInterfaces A vector of network interface indexes used to specify
+     * @param outputInterfaces A vector of network interface indexes used to specify
      * how to send packets to the destination(s).
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddMulticastRoute(Ipv4Address origin,
                            Ipv4Address group,
@@ -256,7 +256,7 @@
                            std::vector<uint32_t> outputInterfaces);
 
     /**
-     * \brief Add a default multicast route to the static routing table.
+     * @brief Add a default multicast route to the static routing table.
      *
      * This is the multicast equivalent of the unicast version SetDefaultRoute.
      * We tell the routing system what to do in the case where a specific route
@@ -274,40 +274,40 @@
      * LookupStatic irrespective of origin or multicast group if another specific
      * route is not found.
      *
-     * \param outputInterface The network interface index used to specify where
+     * @param outputInterface The network interface index used to specify where
      * to send packets in the case of unknown routes.
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void SetDefaultMulticastRoute(uint32_t outputInterface);
 
     /**
-     * \brief Get the number of individual multicast routes that have been added
+     * @brief Get the number of individual multicast routes that have been added
      * to the routing table.
      *
-     * \warning The default multicast route counts as one of the routes.
-     * \return number of entries
+     * @warning The default multicast route counts as one of the routes.
+     * @return number of entries
      */
     uint32_t GetNMulticastRoutes() const;
 
     /**
-     * \brief Get a route from the static multicast routing table.
+     * @brief Get a route from the static multicast routing table.
      *
      * Externally, the multicast static routing table appears simply as a table
      * with n entries.
      *
-     * \param i The index (into the routing table) of the multicast route to
+     * @param i The index (into the routing table) of the multicast route to
      * retrieve.
-     * \return If route \e i is set, a pointer to that Ipv4MulticastRoutingTableEntry is
+     * @return If route \e i is set, a pointer to that Ipv4MulticastRoutingTableEntry is
      * returned, otherwise a zero pointer is returned.
      *
-     * \see Ipv4MulticastRoutingTableEntry
-     * \see Ipv4StaticRouting::RemoveRoute
+     * @see Ipv4MulticastRoutingTableEntry
+     * @see Ipv4StaticRouting::RemoveRoute
      */
     Ipv4MulticastRoutingTableEntry GetMulticastRoute(uint32_t i) const;
 
     /**
-     * \brief Remove a route from the static multicast routing table.
+     * @brief Remove a route from the static multicast routing table.
      *
      * Externally, the multicast static routing table appears simply as a table
      * with n entries.
@@ -320,31 +320,31 @@
      * remove routes with any address in the origin, but will only remove routes
      * with "0.0.0.0" set as the the origin.
      *
-     * \param origin The IP address specified as the origin of packets for the
+     * @param origin The IP address specified as the origin of packets for the
      * route.
-     * \param group The IP address specified as the multicast group address of
+     * @param group The IP address specified as the multicast group address of
      * the route.
-     * \param inputInterface The network interface index specified as the expected
+     * @param inputInterface The network interface index specified as the expected
      * input interface for the route.
-     * \returns true if a route was found and removed, false otherwise.
+     * @returns true if a route was found and removed, false otherwise.
      *
-     * \see Ipv4MulticastRoutingTableEntry
-     * \see Ipv4StaticRouting::AddMulticastRoute
+     * @see Ipv4MulticastRoutingTableEntry
+     * @see Ipv4StaticRouting::AddMulticastRoute
      */
     bool RemoveMulticastRoute(Ipv4Address origin, Ipv4Address group, uint32_t inputInterface);
 
     /**
-     * \brief Remove a route from the static multicast routing table.
+     * @brief Remove a route from the static multicast routing table.
      *
      * Externally, the multicast static routing table appears simply as a table
      * with n entries.
      *
-     * \param index The index (into the multicast routing table) of the route to
+     * @param index The index (into the multicast routing table) of the route to
      * remove.
      *
-     * \see Ipv4RoutingTableEntry
-     * \see Ipv4StaticRouting::GetRoute
-     * \see Ipv4StaticRouting::AddRoute
+     * @see Ipv4RoutingTableEntry
+     * @see Ipv4StaticRouting::GetRoute
+     * @see Ipv4StaticRouting::AddRoute
      */
     void RemoveMulticastRoute(uint32_t index);
 
@@ -371,42 +371,42 @@
     typedef std::list<Ipv4MulticastRoutingTableEntry*>::iterator MulticastRoutesI;
 
     /**
-     * \brief Checks if a route is already present in the forwarding table.
-     * \param route route
-     * \param metric metric of route
-     * \return true if the route/metric is already in the forwarding table
+     * @brief Checks if a route is already present in the forwarding table.
+     * @param route route
+     * @param metric metric of route
+     * @return true if the route/metric is already in the forwarding table
      */
     bool LookupRoute(const Ipv4RoutingTableEntry& route, uint32_t metric);
 
     /**
-     * \brief Lookup in the forwarding table for destination.
-     * \param dest destination address
-     * \param oif output interface if any (put 0 otherwise)
-     * \return Ipv4Route to route the packet to reach dest address
+     * @brief Lookup in the forwarding table for destination.
+     * @param dest destination address
+     * @param oif output interface if any (put 0 otherwise)
+     * @return Ipv4Route to route the packet to reach dest address
      */
     Ptr<Ipv4Route> LookupStatic(Ipv4Address dest, Ptr<NetDevice> oif = nullptr);
 
     /**
-     * \brief Lookup in the multicast forwarding table for destination.
-     * \param origin source address
-     * \param group group multicast address
-     * \param interface interface index
-     * \return Ipv4MulticastRoute to route the packet to reach dest address
+     * @brief Lookup in the multicast forwarding table for destination.
+     * @param origin source address
+     * @param group group multicast address
+     * @param interface interface index
+     * @return Ipv4MulticastRoute to route the packet to reach dest address
      */
     Ptr<Ipv4MulticastRoute> LookupStatic(Ipv4Address origin, Ipv4Address group, uint32_t interface);
 
     /**
-     * \brief the forwarding table for network.
+     * @brief the forwarding table for network.
      */
     NetworkRoutes m_networkRoutes;
 
     /**
-     * \brief the forwarding table for multicast.
+     * @brief the forwarding table for multicast.
      */
     MulticastRoutes m_multicastRoutes;
 
     /**
-     * \brief Ipv4 reference.
+     * @brief Ipv4 reference.
      */
     Ptr<Ipv4> m_ipv4;
 };
